mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

Describes an object that contains both a managed pointer to a location and a runtime representation of the type that can be stored at that location.

A is a type/value combination used to support variable argument lists (as used by C++, for example), among other things. is a built-in value type that can be used for parameters and local variables.

Arrays of cannot be created.

A cannot be boxed as it contains ByRefs, so it cannot reside on the heap.

- Method
  System.Boolean `` To be added.

  Determines whether the current instance and the specified represent the same type and value.

  if represents the same type and value as the current instance; otherwise, .

  This method overrides .

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  1.0.5000.0
  2.0.0.0
- Method
  System.Type `` The value whose target's type is to be returned.

  Returns the type of the target of the specified .

  The of the target of the specified .

  To be added 1.0.5000.0 2.0.0.0
- Method
  System.TypedReference `` `` An object that contains the field described by the first element of . A list of field descriptions where each element describes a field that contains the field described by the succeeding element. Each described field must be a value type.

  Makes a for a field identified by a specified object and list of field descriptions.

  A for the field described by the last element of .

  This method returns a to the terminal field, where the target parameter contains the field described by the first element of , the field described by the first element of contains the field described by the second element of , and so on, until the terminal field is reached.

  The array has no elements.

  -or-

  An element of is not a .

  or is .

  -or-

  An element of is .

  Parameter does not contain the field described by the first element of , or an element of describes a field that is not contained in the field described by the succeeding element of .

  -or-

  The field described by an element of is not a value type.

  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Void `` `` The target of the conversion. The value to be converted.

  Converts the specified value to a .

  This method converts to .

  is .

  The requested conversion is not possible.

  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.RuntimeTypeHandle `` The for which the type handle is requested.

  Returns the internal metadata type handle for the specified .

  The internal metadata type handle for the specified .

  To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object `` The to be converted.

  Converts the specified to a System.Object.

  The that results from the conversion of the specified .

  This might involve a boxing operation.

  1.0.5000.0
  2.0.0.0